import request from '@/config/axios'

// 查询设备采集变量模板列表
export function listTemp(query) {
  return request.get({
    url: '/rq/iot-var-temp/page',
    
    params: query
  })
}

// 查询设备采集变量模板详细
export function getTemp(templateId) {
  return request.get({
    url: '/iot/temp/' + templateId,
   
  })
}

// 新增设备采集变量模板
export function addTemp(data) {
  return request.post({
    url: '/iot/temp',
  
    data: data
  })
}

// 修改设备采集变量模板
export function updateTemp(data) {
  return request.put({
    url: '/iot/temp',
   
    data: data
  })
}

// 删除设备采集变量模板
export function delTemp(templateId) {
  return request.delete({
    url: '/iot/temp/' + templateId,
    
  })
}


//根据产品查询采集点关联
export function getDeviceTemp(params){
  return request.get({
    url: '/iot/temp/getTemp' ,
    
    params: params,
    
  })
}

export function getTempByPId(params){
  return request.get({
    url: '/rq/iot-var-temp/getTempByPid',
    params: params,
    

  })
}
